## isdnutils 2.1.beta1

=== Makefile ===
# $Id: Makefile,v 1.16 1997/05/25 23:36:23 fritz Exp $
#
# Toplevel Makefile for isdn4k-utils
#

export I4LVERSION = 2.1b1

all:	do-it-all

#
# Make "config" the default target if there is no configuration file.
#

# Following line is important for lib and isdnlog (sl).
export ROOTDIR=$(shell pwd)

ifeq (.config,$(wildcard .config))
include .config
do-it-all:      subtargets
else
CONFIGURATION = config
do-it-all:      config
endif

SUBDIRS :=
ifeq ($(CONFIG_ISDNCTRL),y)
	SUBDIRS := $(SUBDIRS) isdnctrl
endif
ifeq ($(CONFIG_IPROFD),y)
	SUBDIRS := $(SUBDIRS) iprofd
endif
ifeq ($(CONFIG_ICNCTRL),y)
	SUBDIRS := $(SUBDIRS) icn
endif
ifeq ($(CONFIG_PCBITCTL),y)
	SUBDIRS := $(SUBDIRS) pcbit
endif
ifeq ($(CONFIG_TELESCTRL),y)
	SUBDIRS := $(SUBDIRS) teles
else
	ifeq ($(CONFIG_HISAXCTRL),y)
		SUBDIRS := $(SUBDIRS) teles
	endif
endif
ifeq ($(CONFIG_AVMCAPICTRL),y)
	SUBDIRS := $(SUBDIRS) avmb1
endif
ifeq ($(CONFIG_LOOPCTRL),y)
	SUBDIRS := $(SUBDIRS) loop
endif
ifeq ($(CONFIG_IMON),y)
	SUBDIRS := $(SUBDIRS) imon
endif
ifeq ($(CONFIG_IMONTTY),y)
	SUBDIRS := $(SUBDIRS) imontty
endif
ifeq ($(CONFIG_ISDNLOG),y)
	SUBDIRS := $(SUBDIRS) areacode lib isdnlog
else
	ifeq ($(CONFIG_LIB_AREACODE),y)
		SUBDIRS := $(SUBDIRS) areacode
	endif
endif
ifeq ($(CONFIG_IPPPSTATS),y)
	SUBDIRS := $(SUBDIRS) ipppstats
endif
ifeq ($(CONFIG_XMONISDN),y)
	SUBDIRS := $(SUBDIRS) xmonisdn
endif
ifeq ($(CONFIG_XISDNLOAD),y)
	SUBDIRS := $(SUBDIRS) xisdnload
endif
ifeq ($(CONFIG_IPPPD),y)
	SUBDIRS := $(SUBDIRS) ipppd
endif
ifeq ($(CONFIG_VBOX),y)
	SUBDIRS := $(SUBDIRS) vbox
endif
ifeq ($(CONFIG_GENMAN),y)
	SUBDIRS := $(SUBDIRS) doc
endif
ifeq ($(CONFIG_FAQ),y)
	SUBDIRS := $(SUBDIRS) FAQ
endif
ifneq ($(SUBDIRS),)
	ifeq ($(filter lib,$(SUBDIRS)),)
		SUBDIRS := lib $(SUBDIRS)
	endif
endif

subtargets: $(CONFIGURATION)
	set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i all; done

rootperm:
	@echo 'main(int argc,char**argv){unlink(argv[0]);return(getuid()==0);}'>g
	@if gcc -x c -o G g && rm -f g && ./G ; then \
		echo -e "\n\n      Need root permission for (de)installation!\n\n"; \
		exit 1; \
	fi

install: rootperm
	set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i install; done

uninstall: rootperm
	set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i uninstall; done

#
# targets clean and distclean go through ALL directories
# regardless of configured options.
#
clean:
	-set -e; \
	for i in `echo ${wildcard */GNUmakefile}`; do \
		$(MAKE) -i -C `dirname $$i` clean; \
	done;
	-set -e; \
	for i in `echo ${wildcard */Makefile}`; do \
		$(MAKE) -i -C `dirname $$i` clean; \
    done;
	-rm -f *~ *.o

distclean: clean
	-$(MAKE) -C scripts/lxdialog clean
	-set -e; \
	for i in `echo ${wildcard */GNUmakefile}`; do \
		$(MAKE) -i -C `dirname $$i` distclean; \
	done;
	-set -e; \
	for i in `echo ${wildcard */Makefile}`; do \
		if [ -f $$i ] ; then \
			$(MAKE) -i -C `dirname $$i` distclean; \
		fi ; \
	done;
	-rm -f *~ .config .config.old scripts/autoconf.h .menuconfig \
		Makefile.tmp .menuconfig.log scripts/defconfig.old .#* scripts/.#*

scripts/lxdialog/lxdialog:
	@$(MAKE) -C scripts/lxdialog all

#
# Next target makes three attempts to configure:
#  - if a Makefile already exists, make config
#  - if a configure script exists, execute it
#  - if a Makefile.in exists, make -f Makefile.in config
#
subconfig:
	@echo Selected subdirs: $(SUBDIRS)
	@set -e; for i in `echo $(SUBDIRS)`; do \
		if [ -x $$i/configure ] ; then \
			echo -e "\nRunning configure in $$i ...\n"; sleep 1; \
			(cd $$i; ./configure); \
		else \
			if [ -f $$i/Makefile.in ] ; then \
				echo -e "\nRunning make -f Makefile.in config in $$i ...\n"; sleep 1; \
				$(MAKE) -C $$i -f Makefile.in config; \
			else \
				if [ -f $$i/Makefile ] ; then \
					echo -e "\nRunning make config in $$i ...\n"; sleep 1; \
					$(MAKE) -C $$i config; \
				fi; \
			fi; \
		fi; \
	done

#
# Next target uses a second tempory Makefile
# because new .config has to be re-included.
#
menuconfig: scripts/lxdialog/lxdialog
	@scripts/Menuconfig scripts/config.in
	@cp Makefile Makefile.tmp
	$(MAKE) -f Makefile.tmp subconfig
	@rm -f Makefile.tmp

#
# For testing: runs Menuconfig only
#
testconfig: scripts/lxdialog/lxdialog
	@scripts/Menuconfig scripts/config.in

config: menuconfig

mrproper: distclean

archive: distclean
	@(cd .. ;\
	ln -nfs isdn4k-utils isdn4k-utils-$(I4LVERSION) ;\
	tar cvhzf distisdn/isdn4k-utils-$(I4LVERSION).tar.gz isdn4k-utils-$(I4LVERSION) ;\
	rm isdn4k-utils-$(I4LVERSION) )

distarch: distclean
	(cd .. ;\
	ln -nfs isdn4k-utils isdn4k-utils-$(I4LVERSION) ;\
	tar -cvhz --exclude=CVS -f distisdn/isdn4k-utils-$(I4LVERSION).tar.gz \
	isdn4k-utils-$(I4LVERSION) ;\
	rm isdn4k-utils-$(I4LVERSION) )

dist: distarch

=== imontty/Makefile ===
# tty line ISDN status monitor
#
# (c) 1995-97 Volker Gtz
#
# $Id: Makefile,v 1.2 1997/04/03 08:56:54 fritz Exp $

ifeq (../.config,$(wildcard ../.config))
	#
	# Automatic config with isdn4k-utils
	#
	include ../.config
	MAN8PATH        := $(CONFIG_MANDIR)/man8
else
	#
	# Manual config standalone
	#
	CONFIG_SBINDRIR := /sbin
	MAN8PATH        := /usr/man/man8
endif

CCFLAGS=-O2
#CCFLAGS=-I$(ISDN_INCLUDE) -g

# nothing to change behind this line

PROGS=imontty

all: $(PROGS)

imontty: imontty.c imontty.h
	cc $(CCFLAGS) -o imontty imontty.c

rootperm:
	@echo 'main(int argc,char**argv){unlink(argv[0]);return(getuid()==0);}'>g
	@if gcc -x c -o G g && rm -f g && ./G ; then \
		echo -e "\n\n      Need root permission for (de)installation!\n\n"; \
		exit 1; \
	fi

install: $(PROGS) rootperm
	install -s -o 0 -g 0 -m 0755 $(PROGS) $(CONFIG_SBINDIR)

uninstall: rootperm
	for i in $(PROGS) ; do rm -f $(CONFIG_SBINDIR)/$$i; done

clean:
	rm -f *.o $(PROGS) *~

distclean: clean

#
# dummy for isdn4k-utils package
#
config:

=== lib/Makefile ===
##
## Makefile for library for isdn4linux
##

##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifndef ROOTDIR
export ROOTDIR=$(shell pwd)
PREFIXDIR =.
else
PREFIXDIR =$(ROOTDIR)
endif

######################################################################
# USER CONFIGURATION AREA
######################################################################

CFLAGS      = -Wall -pipe -O6
DEFS        =
ifndef _CC
export _CC  = gcc
endif
CC          = $(_CC)

export AVON = avon
export I4LCONFDIR

######################################################################
# DON'T EDIT BELOW THIS LINE
######################################################################

AREADIR   = ../areacode
LIB_AREA  = $(AREADIR)/areacode.o

ifeq ($(LIBAREA),1)
DEFS     += -DLIBAREA
endif

AVONDIR   = avon
LIB_AVON += $(AVONDIR)/createDB.o
DEFS     += -DAVON=\"$(AVON)\"

SUBDIRS  = $(AVONDIR) #$(AREADIR)

DEFS    += -I$(PREFIXDIR)

%.o: %.c
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

all: .depend libs libisdn.a

libs:
		set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i; done

depend dep: .depend

.depend:
		$(CPP) -M $(CFLAGS) $(DEFS) *.c >.depend
		set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i depend; done

clean:
		-rm -f *.o *.a
		set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i clean; done

distclean: clean
		-rm -f .depend policy.h
		set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i distclean; done

install: depend all
		set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i depend; done
		set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i all; done
ifneq ($(CONFIG_LIB_AREACODE),y)
		set -e; for i in `echo $(AVONDIR)`; do $(MAKE) -C $$i install; done
#else
#		set -e; for i in `echo $(AREADIR)`; do $(MAKE) -C $$i install; done
endif

deinstall: distclean
		set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i deinstall; done


libisdn.a: conffile.o isdntools.o libtools.o $(LIB_AREA) $(LIB_AVON)
		ar rs libisdn.a isdntools.o conffile.o libtools.o $(LIB_AREA) $(LIB_AVON)

ifeq (.depend,$(wildcard .depend))
include .depend
#HEADERS := $(HEADERS) .depend
endif

=== lib/avon/Makefile ===
##
## Makefile for avon for isdn4linux
##
## Copyright 1996, 1997 by Stefan Luethje (luethje@sl-gw.lake.de)
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifndef ROOTDIR
export ROOTDIR=$(shell pwd)
PREFIXDIR =.
else
PREFIXDIR =$(ROOTDIR)
endif


######################################################################
# USER CONFIGURATION AREA
######################################################################

ifndef _CC
export _CC = gcc -Wall -pipe -O6
endif
CC         = $(_CC)

######################################################################
# DON'T EDIT BELOW THIS LINE
######################################################################

INSTALL =install
INSTALL_DIR     := $(INSTALL) -m 0755 -o 0 -g 0 -d
INSTALL_AVON    := $(INSTALL) -m 0644 $(AVON) $(I4LCONFDIR)

#CFLAGS   = -I$(PREFIXDIR)

all: createDB.o

clean:
		rm -f *.o *.a

depend: .depend

.depend:
		$(CPP) -M $(CFLAGS) createDB.c >.depend

distclean: clean
		rm -f .depend

install: depend all
  ifneq ($(CONFIG_LIB_AREACODE),y)
		-$(INSTALL_DIR) $(I4LCONFDIR)
		-test $(AVON) -ot $(I4LCONFDIR)/$(AVON) || ( $(INSTALL_AVON) )
		-@rm -f $(I4LCONFDIR)/$(AVON).pag $(I4LCONFDIR)/$(AVON).dir
  endif
	        
deinstall: distclean
		-rm -f $(I4LCONFDIR)/$(AVON)*

createDB.o:   createDB.c createDB.h

## isdnutils 2.1.beta1-15

=== debian/changelog ===
isdnutils (1:2.1.beta1-15) unstable; urgency=low

  * now no longer generating diffs, so i can include a binary file
  * added beep.msg file (the upstream version is broken due to cvs)
  * fixed stupid bug in preinst.

 -- Andreas Jellinghaus <aj@debian.org>  Thu, 18 Sep 1997 22:19:30 +0200

isdnutils (1:2.1.beta1-14) unstable; urgency=low

  * -nb
  * fixed bug in configure scripte (vbox logdir was "$withval")
  * corrected source format : now orig.tar.gz + diff

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 14 Sep 1997 10:45:16 +0200

isdnutils (1:2.1.beta1-13) bo-updates unstable; urgency=low

  * fixed bug in postinst.
  * closed bug 12525 (too old software, now obsolete).
  * bug #10024 obsolete (sais the bug reporter :-)
  * isdnutils will go to bp-updates and unstable (closes bug 12065)
  * isdnctrl working ok (no sigbus, closes bug #11972)
  * isdnlog and isdnrep have manpages (closes bug #11414
  * isdnlog logfile renamed to  /var/lib/isdn/calls 
  * vboxgetty logfiles rotated one a week  (should be enough ?)
  * fixed isdnlog.DEVICE : first line should be "[options]".
  * corrected init.d script : will now ignore backup files.
  * corrected makedev call.
  * vbox logdir corrected.

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 10 Sep 1997 09:01:24 +0200

isdnutils (1:2.1.beta1-12) unstable; urgency=low

  * vbox now working, other bugfixes and typos

 -- Andreas Jellinghaus <aj@debian.org>  Tue,  9 Sep 1997 10:55:54 +0200

isdnutils (1:2.1.beta1-11) unstable; urgency=low

  * only create 8 device, not all 64 (if makedev >= 1.6-20 is installed)

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  8 Sep 1997 20:22:26 +0200

isdnutils (1:2.1.beta1-10) unstable; urgency=low

  * more bug fixes.

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  7 Sep 1997 22:42:28 +0200

isdnutils (1:2.1.beta1-9) unstable; urgency=low

  * Improved script/ configure system. Ready for beta release.

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  7 Sep 1997 20:14:54 +0200

isdnutils (1:2.1.beta1-8) unstable; urgency=low

  * removed CONFIG.swp :-( 

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  4 Sep 1997 21:51:47 +0200

isdnutils (1:2.1.beta1-7) unstable; urgency=low

  * rewrote all makefile
  * new and improved configuration

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  4 Sep 1997 21:42:57 +0200

isdnutils (1:2.1.beta1-6) unstable; urgency=low

  * added patch from german suse distribution
  * added vboxconvert diff
  * moved into cvs archive
  * added man pages (very alpha, but better than nothing)
  * prevented -5 to go into stable (dependency problem, bug 11516)
  * removed note about /etc/rc.boot/isdn (that file doesn't exist).
  * added "exit 0" to cron.daily 
  * minor bugfix.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 22 Jul 1997 21:47:21 +0200

isdnutils (1:2.1.beta1-5) unstable stable; urgency=low

  * don't start isdnlog (causes problems on my machine. couldn't figure
    out why). isdnlog now uses a config file /etc/isdn/isdnlog.options
  * fixed postinst, ioptions and init.d script (thanks to heiko schlitterman)
  * changed description (thanks to christian schwarz)
  * bugfixes in init.d script (thanks to Andreas Wohlfeld)
  * now isdnlog should create /var/lib/isdn/calls
  * activated MS_CHAP to ipppd.

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  3 Jul 1997 21:12:32 +0200

isdnutils (1:2.1.beta1-4) unstable stable; urgency=low

  * moved xisdnload and xmonisdn to /usr/X11R6/...
  * removed ioptions.ipppX. added help text in postinst.

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 28 Jun 1997 11:17:15 +0200

isdnutils (1:2.1.beta1-3) unstable; urgency=low

  * 2.1.beta1-2 released.
  * patch from heiko schlitterman added.
  * small changes and bugfixes.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 17 Jun 1997 08:39:10 +0200

isdnutils (1:2.1.beta1-1.1) unstable; urgency=low

  * minor changes to make dpkg-source and
    ./debian/rules run smoothly
  * epoch used for version, since there are minor (very minor)
    changes to *orig.tar.gz!

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sun, 15 Jun 1997 20:13:32 +0200

isdnutils (2.1.beta1-2) unstable; urgency=low

  * corrected preinst.
  * moved some code from postinst to preinst, added checking for
    updates from 2.0.*
  * 2.1.beta1-1 released. 

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 15 Jun 1997 13:40:08 +0200

isdnutils (2.1.beta1-1) unstable; urgency=low

  * new ipppd creates correct pidfiles. (closes bug #9269)
  * new vbox does not need pvftools. (closes bug #10531)
  * new ipppd responds to signal (so you can kill it). (closes bug #9270)
  * isdnbutton was removed (in upstream source). 
    (closes bug #9137 and #10316 and #10317)
  * imontty manpage removed (in upstream source), all command line
    options removed (in upstream source). (closes bug #8426).
  * device permissions are changed (by makedev), isdnbutton is no longer
    included in isdnutils. (closes bug #8230)
  * 2.1b1 release of isdn4k-utils.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 27 May 1997 17:22:20 +0200

isdnutils (2.0.970524-1) unstable; urgency=low

  * Switched to use new cvs tree to prepare for the next release

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 24 May 1997 10:07:44 +0200

isdnutils (2.0.1-3) experimental; urgency=low

  * changes to menu file : added xisdnload, changed xled

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 4 May 1997 22:05:07 +0200

isdnutils (2.0.1-2) experimental; urgency=low

  * corrected paths to install imon and imontty.
  * added /etc/rc.boot/isdn, replaced /etc/init.d scripts.
  * fixed typo in preinst.

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 3 May 1997 20:23:25 +0200

isdnutils (2.0.1-1) experimental; urgency=low

  * copied icn.h from kernel source 2.0.30 + hisax patch into icn/,
    so it can cleanly compile (icn.h is not a part of the kernel
    headers, but required to compile icnctrl).
  * same with pcbit.h
  * new versions of nearly anything. new structures. re-united with


=== debian/control ===
Source: isdnutils
Section: net
Priority: extra
Maintainer: Andreas Jellinghaus <aj@dungeon.inka.de>
Standards-Version: 2.1.2.2

Package: isdnutils
Architecture: any
Depends: ${shlibs:Depends}, makedev (>>1.6-10), suidmanager, netbase (>= 2.14), sox
Suggests: ppp, tcpdump (>= 3.3.1a2-1)
Replaces: vbox
Conflicts: vbox, isdnlog, ipppd, xisdnutils
Description: isdn utilities
  This package includes everything you need to run ISDN: interface
  controlling programs, an ISDN logging tool, a voice box program,
  a synchronous PPP daemon, an ISDN load viewer, and much more.
  .
  This package will only run with 2.0.29 or 2.0.30 kernels with 
  Hisax ISDN patch 2.0.30A (this is included in -6/7/8 debian kernels).
  If you want to use 2.0.31pre9, download and install :
     ftp://ftp.inka.de/sites/dungeon/isdnutils_2.1.beta1-13.31_i386.deb

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=isdnutils

build:
	$(checkdir)
	cp debian/dot.config .config
	./configure -a -m
	$(MAKE) CFLAGS="-O2 -Wall -g"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/tmp* debian/files* core
	-rm -f debian/*substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp debian/tmp*
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install prefix=`pwd`/debian/tmp/usr 

	# install documentation
	mv debian/tmp/usr/doc/isdn4k-utils \
		debian/tmp/usr/doc/isdnutils/FAQ
	cp areacode/areacode.doc debian/tmp/usr/doc/isdnutils/areacode
	cp lib/README.Syntax.conffile debian/tmp/usr/doc/isdnutils/lib/Syntax.de
	cp lib/README.conffile debian/tmp/usr/doc/isdnutils/lib/conffile.de
	cp lib/README.isdntools debian/tmp/usr/doc/isdnutils/lib/isdntools.de
	cp imontty/Changelog debian/tmp/usr/doc/isdnutils/imontty.changelog
	cp imontty/README debian/tmp/usr/doc/isdnutils/imontty
	cp pcbit/README.pt debian/tmp/usr/doc/isdnutils/pcbit
	cp xisdnload/XISDNLoad.ad debian/tmp/usr/X11R6/lib/X11/app-defaults/XISDNLoad
	cp xmonisdn/README debian/tmp/usr/doc/isdnutils/xmonisdn
	
	cp ipppd/NOTES.IPPPD debian/tmp/usr/doc/isdnutils/ipppd/notes
	cp ipppd/README* debian/tmp/usr/doc/isdnutils/ipppd/
	cp ipppd/TODO.4.MP debian/tmp/usr/doc/isdnutils/ipppd

	cp isdnlog/BUGS debian/tmp/usr/doc/isdnutils/isdnlog/bugs.de
	cp isdnlog/FAQ debian/tmp/usr/doc/isdnutils/isdnlog/faq.de
	cp isdnlog/NEWS debian/tmp/usr/doc/isdnutils/isdnlog/changelog.de
	cp isdnlog/TODO debian/tmp/usr/doc/isdnutils/isdnlog/TODO.de
	cp isdnlog/README debian/tmp/usr/doc/isdnutils/isdnlog/README.de
	cp isdnlog/samples/{callerid.conf,isdn*,reload,stop}\
		 debian/tmp/usr/doc/isdnutils/examples/isdnlog
	cp HOWTO debian/tmp/usr/doc/isdnutils/isdnlog/HOWTO.de

	mv debian/tmp/usr/doc/vbox debian/tmp/usr/doc/isdnutils/vbox
	cp vbox/CHANGES debian/tmp/usr/doc/isdnutils/vbox/changelog
	cp vbox/INSTALL debian/tmp/usr/doc/isdnutils/vbox
	cd debian/tmp/usr/doc/isdnutils/vbox/; \
		mv vbox.txt vbox.de.txt ; \
		mv vbox.sgml vbox.de.sgml ; \
		sgml2html -c latin vbox.de.sgml
	for A in vbox/examples/*example ; do \
		cp $$A debian/tmp/usr/doc/isdnutils/examples/vbox/`basename $$A .example`; done

	cp debian/changelog.isdnlog \
		debian/tmp/usr/doc/isdnutils/isdnlog/changelog.debian.old
	cp debian/changelog.vbox \
		debian/tmp/usr/doc/isdnutils/vbox/changelog.debian.old
	cp debian/CONFIG \
		debian/tmp/usr/doc/isdnutils/CONFIG

	# install examples
	for A in debian/device.DEVICE debian/ipppd.DEVICE \
		debian/callerid.conf debian/isdn.conf debian/isdnlog.DEVICE \
		debian/vboxd.conf debian/vboxgetty.conf debian/vbox.conf \
		debian/standard.tcl ; do \
	cp $$A debian/tmp/usr/doc/isdnutils/examples/default; \
	done
	cd debian/tmp/usr/doc/isdnutils/examples ; cp vbox/*msg default/
	cp debian/ioptions debian/tmp/etc/ppp
	cp debian/isdnconfig debian/tmp/usr/sbin/

	# move x11 applications to a different place
	mv debian/tmp/usr/bin/xmonisdn debian/tmp/usr/X11R6/bin
	mv debian/tmp/usr/bin/xisdnload debian/tmp/usr/X11R6/bin
	mv debian/tmp/usr/man/man1/xisdnload.1 \
		debian/tmp/usr/X11R6/man/man1/xisdnload.1x
	mv debian/tmp/usr/man/man1/xmonisdn.1 \
		debian/tmp/usr/X11R6/man/man1/xmonisdn.1x

	# the rest. all documentation is already installed.
	debstd -m README 
	gunzip debian/tmp/usr/doc/isdnutils/examples/default/*gz
	dpkg-gencontrol -pisdnutils
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
